org.eclipse.oomph.ui

## Class AbstractDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.oomph.ui.AbstractDialog

- All Implemented Interfaces:
    IShellProvider

      public abstract class AbstractDialog
      extends TitleAreaDialog

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractDialog(Shell parentShell, String title, int width, int height, OomphUIPlugin plugin, String help)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Button` | `createCheckbox(Composite parent, String label)`
    `protected Control` | `createContents(Composite parent)`
    `protected Control` | `createDialogArea(Composite parent)`
    `protected Control` | `createHelpControl(Composite parent)`
    `protected Label` | `createSeparator(Composite parent)`
    `protected ToolItem` | `createToolItem(ToolBar toolBar, String label)`
    `protected ToolItem` | `createToolItem(ToolBar toolBar, String iconPath, String toolTip)`
    `protected void` | `createToolItemsForToolBar(ToolBar toolBar)`
    `protected abstract void` | `createUI(Composite parent)`
    `static void` | `fixTitleImageLayout(TitleAreaDialog dialog)`
    `protected int` | `getContainerMargin()`
    `protected Image` | `getDefaultImage(String path)`
    `protected abstract String` | `getDefaultMessage()`
    `int` | `getHeight()`
    `String` | `getHelp()`
    `protected abstract String` | `getImagePath()`
    `protected Point` | `getInitialSize()`
    `protected abstract String` | `getShellText()`
    `String` | `getTitle()`
    `int` | `getWidth()`
    `void` | `openTray(DialogTray tray)`
    `void` | `setTitleImage(Image newTitleImage)`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `getErrorMessage, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createButtonBar, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDialog

          protected AbstractDialog(Shell parentShell,
                        String title,
                        int width,
                        int height,
                        OomphUIPlugin plugin,
                        String help)

  - ### Method Detail

    - #### getTitle

          public String getTitle()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getHelp

          public String getHelp()

    - #### openTray

          public void openTray(DialogTray tray)
                        throws IllegalStateException,
                               UnsupportedOperationException

      Overrides:
        `openTray` in class `TrayDialog`
      Throws:
        `IllegalStateException`
        `UnsupportedOperationException`

    - #### setTitleImage

          public void setTitleImage(Image newTitleImage)

      Overrides:
        `setTitleImage` in class `TitleAreaDialog`

    - #### createContents

          protected Control createContents(Composite parent)

      Overrides:
        `createContents` in class `TitleAreaDialog`

    - #### createDialogArea

          protected Control createDialogArea(Composite parent)

      Overrides:
        `createDialogArea` in class `TitleAreaDialog`

    - #### createCheckbox

          protected Button createCheckbox(Composite parent,
                              String label)

    - #### createHelpControl

          protected Control createHelpControl(Composite parent)

      Overrides:
        `createHelpControl` in class `TrayDialog`

    - #### createToolItemsForToolBar

          protected void createToolItemsForToolBar(ToolBar toolBar)

    - #### createToolItem

          protected final ToolItem createToolItem(ToolBar toolBar,
                                String label)

    - #### createToolItem

          protected final ToolItem createToolItem(ToolBar toolBar,
                                String iconPath,
                                String toolTip)

    - #### createSeparator

          protected Label createSeparator(Composite parent)

    - #### getContainerMargin

          protected int getContainerMargin()

    - #### getImagePath

          protected abstract String getImagePath()

    - #### getInitialSize

          protected final Point getInitialSize()

      Overrides:
        `getInitialSize` in class `TitleAreaDialog`

    - #### getDefaultImage

          protected final Image getDefaultImage(String path)

    - #### getDefaultMessage

          protected abstract String getDefaultMessage()

    - #### getShellText

          protected abstract String getShellText()

    - #### createUI

          protected abstract void createUI(Composite parent)

    - #### fixTitleImageLayout

          public static void fixTitleImageLayout(TitleAreaDialog dialog)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html